import { ButtonHTMLAttributes, FC } from "react";

export const PrimaryButton: FC<ButtonHTMLAttributes<HTMLButtonElement>> = (
  props
) => (
  <button
    {...props}
    type="submit"
    onClick={props.onClick}
    tabIndex={2}
    disabled={props.disabled}
    className={
      "base-button bg-accent-500 disabled:bg-accent-800 dark:bg-accent-500 active:bg-accent-400 border-none text-white " +
      props.className
    }
  >
    {props.children}
  </button>
);
